- entityDefinitions:
  - IDM_Method_Binding__get__Parameter_Assignments: '{b3d742ad-65f5-4eec-bed3-5f7c20df3e22}'
  - IDMB_Method_Binding__get__Parameter_Assignments: '{f89b7bc9-cbab-4d45-b079-c421163ef1e9}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedInstanceSetMethod: '&IDM_Method_Binding__get__Parameter_Assignments;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_MethodBinding;'
    # returnsWorkSetId: '&IDI_WorkSet_MethodSingular;'
    returnsWorkSetId: '&IDC_ParameterAssignment;'
    verb: 'get'
    name: 'Parameter Assignments'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_MethodBinding;'
    answerInstanceSet: '&IDR_Method_Binding__has__Parameter_Assignment;'
    singular: no
    
  - returnInstanceSetMethodBinding: '&IDMB_Method_Binding__get__Parameter_Assignments;'
    executesMethod: '&IDM_Method_Binding__get__Parameter_Assignments;'